Bug 270342 - false error badges in correct Clank sources
false error badges in correct Clank sources
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Compiler
Dev
All All
: P1 (vote)
: Dev
Assigned To: Dusan Balek
issues@java
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-10 10:25 UTC by Vladimir Voskresensky
Modified: 2017-04-28 01:39 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Voskresensky 2017-04-10 10:25:10 UTC
No exceptions so far!
But could you, please, fix the other very serious javac issues?
1) using clean cachedir when open all clank modules => clang/Lex is badged with errors (i.e. LexerTest file)

2) emulate working with sources:
-- open file std.java
-- comment out the top method static_assert, save file, wait 2 secs
-- uncomment back static_assert, save file, wait till "background scanning is finished"
=> a lot of modules are red badged
/export1/devarea/sputnik-jclank/modules/org.clang.analysis
/export1/devarea/sputnik-jclank/modules/org.clang.ast
/export1/devarea/sputnik-jclank/modules/org.clang.lex
/export1/devarea/sputnik-jclank/modules/org.clang.staticanalyzer
/export1/devarea/sputnik-jclank/modules/org.llvm.adtsupport

Very easy to reproduce.
Comment 1 Dusan Balek 2017-04-26 12:23:19 UTC
Fixed in jet-main. Thanks for the reproducible test case.

http://hg.netbeans.org/jet-main/rev/b97e3ece3cf2
Comment 2 Vladimir Voskresensky 2017-04-27 11:58:05 UTC
Verified!
Thank you very much!
Comment 3 Quality Engineering 2017-04-28 01:39:25 UTC
Integrated into 'main-silver', will be available in build *201704280002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/b97e3ece3cf2
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #270342 - false error badges in correct Clank sources - fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo